/*
    GNOME Commander - A GNOME based file manager 
    Copyright (C) 2001-2002 Marcus Bjurman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ 
#ifndef __GNOME_CMD_FILE_SELECTOR_TYPES_H__
#define __GNOME_CMD_FILE_SELECTOR_TYPES_H__


BEGIN_GNOME_DECLS

#define GNOME_CMD_FILE_SELECTOR(obj) \
	GTK_CHECK_CAST (obj, gnome_cmd_file_selector_get_type (), GnomeCmdFileSelector)
#define GNOME_CMD_FILE_SELECTOR_CLASS(klass) \
	GTK_CHECK_CLASS_CAST (klass, gnome_cmd_file_selector_get_type (), GnomeCmdFileSelectorClass)
#define GNOME_CMD_IS_FILE_SELECTOR(obj) \
	GTK_CHECK_TYPE (obj, gnome_cmd_file_selector_get_type ())

#define FILE_SELECTOR_NUM_COLUMNS 8

typedef struct _GnomeCmdFileSelector GnomeCmdFileSelector;
typedef struct _GnomeCmdFileSelectorPrivate GnomeCmdFileSelectorPrivate;
typedef struct _GnomeCmdFileSelectorClass GnomeCmdFileSelectorClass;


extern guint file_selector_default_column_width[FILE_SELECTOR_NUM_COLUMNS];

typedef enum
{
	GNOME_CMD_FILE_SELECTOR_MODE_LOCAL,
	GNOME_CMD_FILE_SELECTOR_MODE_FTP
} GnomeCmdFileSelectorModeType;



struct _GnomeCmdFileSelector
{
	GtkVBox vbox;

	GtkWidget *hbox;
	GtkWidget *root_btn;
	GtkWidget *home_btn;
	GtkWidget *parent_btn;
	GtkWidget *dir_entry;
	GtkWidget *scrolledwindow;
	GtkWidget *info_label;
	GtkWidget *list;
	GtkWidget *con_combo;
	
	GnomeCmdFileSelectorPrivate *priv;
};


struct _GnomeCmdFileSelectorClass
{
	GtkVBoxClass parent_class;
};


#endif //__GNOME_CMD_FILE_SELECTOR_TYPES_H__
